Public Class Form1
    Dim nwBL As New NWindLogik

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        Dim lstOrderIDs As List(Of Integer) = nwBL.GetBestellIDs
        lstOrderIDs.Sort()
        'For Each intOrderID In lstOrderIDs
        '    ComboBox1.Items.Add(intOrderID)
        'Next
        'ComboBox1.SelectedIndex = 0

        ComboBox1.DataBindings.Add("OrderID", odOrder, "OrderID")

        TextBox1.DataBindings.Add(

        ComboBox1.DataSource = lstOrderIDs
    End Sub

    Private Sub ComboBox1_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ComboBox1.SelectedIndexChanged
        Dim intOrderID As Integer = ComboBox1.SelectedItem
        Dim dtBestellDetails As DataTable = nwBL.GetBestellDetails(intOrderID)
        DataGridView1.DataSource = dtBestellDetails
    End Sub
End Class
